import request from '@/utils/request'

// 查询白胚库存明细表列表
export function listEmsn(query) {
	return request({
		url: '/wms/emsn/list',
		method: 'get',
		params: query
	});
}

// 查询白胚库存明细表详细
export function getEmsn(emOrderInSnId) {
	return request({
		url: '/wms/emsn/' + emOrderInSnId,
		method: 'get'
		});
}

// 新增白胚库存明细表
export function addEmsn(data) {
	return request({
		url: '/wms/emsn',
		method: 'post',
		data: data
	});
}

// 修改白胚库存明细表
export function updateEmsn(data) {
	return request({
		url: '/wms/emsn',
		method: 'put',
		data: data
	});
}

// 删除白胚库存明细表
export function delEmsn(emOrderInSnId) {
	return request({
		url: '/wms/emsn/' + emOrderInSnId,
		method: 'delete'
	});
}
